#ifndef DCF77_H
#define DCF77_H

#include <avr/io.h>
#include <avr/signal.h>
#include <avr/interrupt.h>
#include <stdlib.h>
#include "timerfunctions.h"

volatile unsigned char timecount = 0;
volatile unsigned short breakcount = 0;
volatile unsigned char dcf_active = 0;
volatile unsigned char array_count = 0;
volatile unsigned char dcf_array [60];
volatile unsigned char dcf_min_l_old = '0';
volatile unsigned char dcf_min_h_old = '0';
volatile unsigned char dcf_std_l_old = '0';
volatile unsigned char dcf_std_h_old = '0';

void dcf77_init (void);
unsigned char plausibilitaetscheck (	unsigned char std_h_new, unsigned char std_l_new,
										unsigned char min_h_new, unsigned char min_l_new, 
										unsigned char std_h_old, unsigned char std_l_old,
										unsigned char min_h_old, unsigned char min_l_old);
void dcf77_exec (void);
SIGNAL (SIG_INTERRUPT0);
SIGNAL (SIG_OVERFLOW0);
#endif

